/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package plate.wellmann.shop.persistence;

import java.math.BigInteger;
import javax.persistence.Entity;

/**
 *
 * @author Patrick
 */
@Entity
public class Format extends AbstractEntity {

    private final BigInteger x;
    private final BigInteger y;

    public Format(BigInteger x, BigInteger y) {
        this.x = x;
        this.y = y;
    }

    @Override
    public String toString() {
        return "plate.wellmann.shop.persistence.Format[ id=" + getId() + " ]";
    }

    public BigInteger getX() {
        return x;
    }

    public BigInteger getY() {
        return y;
    }
}
